Package org.bukkit.block.data

# Interface Directional

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `AmethystCluster`, `Barrel`, `Bed`, `Beehive`, `Bell`, `BigDripleaf`, `Campfire`, `Chest`, `ChiseledBookshelf`, `Cocoa`, `CommandBlock`, `Comparator`, `CoralWallFan`, `Dispenser`, `Door`, `Dripleaf`, `EnderChest`, `EndPortalFrame`, `Furnace`, `Gate`, `Grindstone`, `Hopper`, `Ladder`, `Lectern`, `LightningRod`, `Observer`, `Piston`, `PistonHead`, `RedstoneWallTorch`, `Repeater`, `SmallDripleaf`, `Stairs`, `Switch`, `TechnicalPiston`, `TrapDoor`, `TripwireHook`, `WallHangingSign`, `WallSign`

public interface Directional extends BlockData
'facing' represents the face towards which the block is pointing.
Some blocks may not be able to face in all directions, use `getFaces()` to get all possible directions for this block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<BlockFace>`
`getFaces()`
Gets the faces which are applicable to this block.
`@NotNull BlockFace`
`getFacing()`
Gets the value of the 'facing' property.
`void`
`setFacing(@NotNull BlockFace facing)`
Sets the value of the 'facing' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getFacing

@NotNull @NotNull BlockFace getFacing()
Gets the value of the 'facing' property.

Returns:
  the 'facing' value

### setFacing

void setFacing(@NotNull @NotNull BlockFace facing)
Sets the value of the 'facing' property.

Parameters:
  `facing` - the new 'facing' value

### getFaces

@NotNull @NotNull Set<BlockFace> getFaces()
Gets the faces which are applicable to this block.

Returns:
  the allowed 'facing' values